package com.example.dtf.repositories

import com.example.dtf.models.Like
import kotlinx.coroutines.flow.Flow

interface ILikeRepository {
    suspend fun insert(like: Like)
    suspend fun delete(like: Like)

    fun countByPost(postId: Int): Flow<Int>
    fun isLikedByUser(userId: Int, postId: Int): Flow<Boolean>
}